## udisks2 2.10.90

=== src/tests/dbus-tests/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# src/tests/dbus-tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Generate config.h.py with translated defines for easy use within Python

am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/udisks
pkgincludedir = $(includedir)/udisks
pkglibdir = $(libdir)/udisks
pkglibexecdir = $(libexecdir)/udisks
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
am__append_1 = btrfs
am__append_2 = iscsi
am__append_3 = lvm2
am__append_4 = lsm
subdir = src/tests/dbus-tests
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_enable_debug.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/tmp/udisks/build-aux/missing' aclocal-1.16
ACL_CFLAGS = 
ACL_LIBS = -lacl
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} '/tmp/udisks/build-aux/missing' autoconf
AUTOHEADER = ${SHELL} '/tmp/udisks/build-aux/missing' autoheader
AUTOMAKE = ${SHELL} '/tmp/udisks/build-aux/missing' automake-1.16
AWK = gawk
BASH = /bin/sh
BLOCKDEV_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-6 -pthread
BLOCKDEV_LIBS = -lblockdev -lglib-2.0
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -Wall -W -Wextra -Wcast-align -Wdeclaration-after-statement -Wendif-labels -Werror=format-security -Werror=implicit-function-declaration -Werror=overflow -Wformat-nonliteral -Wformat=2 -Wimplicit -Winit-self -Wmissing-declarations -Wmissing-format-attribute -Wmissing-include-dirs -Wmissing-noreturn -Wmissing-prototypes -Wnested-externs -Wno-inline -Wno-long-long -Wno-missing-field-initializers -Wno-overlength-strings -Wno-switch-enum -Wno-unused-parameter -Wno-unused-result -Wold-style-definition -Wpacked -Wpointer-arith -Wshadow -Wsign-compare -Wstrict-aliasing=2 -Wstrict-prototypes -Wundef -Wuninitialized -Wvla -Wwrite-strings -fdata-sections -fdiagnostics-show-option -ffast-math -ffunction-sections -fno-common -fno-strict-aliasing -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
CPP = gcc -E
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GETTEXT_MACRO_VERSION = 0.19
GETTEXT_PACKAGE = udisks2
GIO_CFLAGS = -I/usr/include/gio-unix-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DWITH_GZFILEOP -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/sysprof-6 -pthread
GIO_LIBS = -lgio-2.0 -lgobject-2.0 -lglib-2.0
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-6 -pthread
GLIB_LIBS = -lglib-2.0
GMODULE_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-6 -pthread
GMODULE_LIBS = -Wl,--export-dynamic -lgmodule-2.0 -pthread -lglib-2.0
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /usr/bin/grep
GTKDOC_CHECK = gtkdoc-check.test
GTKDOC_CHECK_PATH = /usr/bin/gtkdoc-check
GTKDOC_DEPS_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-6 -pthread
GTKDOC_DEPS_LIBS = -lgobject-2.0 -lglib-2.0
GTKDOC_MKPDF = /usr/bin/gtkdoc-mkpdf
GTKDOC_REBASE = /usr/bin/gtkdoc-rebase
GUDEV_CFLAGS = -I/usr/include/gudev-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-6 -pthread
GUDEV_LIBS = -lgudev-1.0 -lgobject-2.0 -lglib-2.0
HAVE_LIBELOGIND = 
HAVE_LIBSYSTEMD_LOGIN = 
HAVE_UDEV_257 = 
HTML_DIR = ${datadir}/gtk-doc/html
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
INTROSPECTION_CFLAGS = -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-6 -pthread
INTROSPECTION_COMPILER = /usr/bin/g-ir-compiler
INTROSPECTION_GENERATE = /usr/bin/g-ir-generate
INTROSPECTION_GIRDIR = /usr/share/gir-1.0
INTROSPECTION_LIBS = -lgirepository-1.0 -lgobject-2.0 -lglib-2.0
INTROSPECTION_MAKEFILE = /usr/share/gobject-introspection-1.0/Makefile.introspection
INTROSPECTION_SCANNER = /usr/bin/g-ir-scanner
INTROSPECTION_TYPELIBDIR = /usr/lib64/girepository-1.0
ISCSI_LIBS = -liscsi
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBBLKID_CFLAGS = -I/usr/include/blkid
LIBBLKID_LIBS = -lblkid
LIBCONFIG_CFLAGS = 
LIBCONFIG_LIBS = -lconfig
LIBELOGIND_CFLAGS = 
LIBELOGIND_LIBS = 
LIBICONV = -liconv
LIBINTL = 
LIBLSM_CFLAGS = -I/usr/include/libstoragemgmt
LIBLSM_LIBS = -lstoragemgmt
LIBMOUNT_CFLAGS = -I/usr/include/libmount -I/usr/include/blkid
LIBMOUNT_LIBS = -lmount
LIBOBJS = 
LIBS = 
LIBSYSTEMD_LOGIN_CFLAGS = 
LIBSYSTEMD_LOGIN_LIBS = -lsystemd
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBUUID_CFLAGS = -I/usr/include/uuid
LIBUUID_LIBS = -luuid
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAINT = #
MAKEINFO = ${SHELL} '/tmp/udisks/build-aux/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = udisks
PACKAGE_BUGREPORT = https://storaged-project.github.io
PACKAGE_NAME = udisks
PACKAGE_STRING = udisks 2.10.90
PACKAGE_TARNAME = udisks
PACKAGE_URL = 
PACKAGE_VERSION = 2.10.90
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POLKIT_AGENT_1_CFLAGS = -I/usr/include/polkit-1 -I/usr/include/gio-unix-2.0 -DWITH_GZFILEOP -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-6 -pthread
POLKIT_AGENT_1_LIBS = -lpolkit-agent-1 -lpolkit-gobject-1 -lgio-2.0 -lgobject-2.0 -lglib-2.0
POLKIT_GOBJECT_1_CFLAGS = -I/usr/include/polkit-1 -I/usr/include/gio-unix-2.0 -DWITH_GZFILEOP -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-6 -pthread
POLKIT_GOBJECT_1_LIBS = -lpolkit-gobject-1 -lgio-2.0 -lgobject-2.0 -lglib-2.0
POSUB = po
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
UDEV_CFLAGS = 
UDEV_LIBS = 
UDISKS_MAJOR_VERSION = 2
UDISKS_MICRO_VERSION = 90
UDISKS_MINOR_VERSION = 10
UDISKS_VERSION = 2.10.90
USE_NLS = yes
VERSION = 2.10.90
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
XSLTPROC = /usr/bin/xsltproc
_GI_EXP_DATADIR = /usr/share
_GI_EXP_LIBDIR = /usr/lib64
abs_builddir = /tmp/udisks/src/tests/dbus-tests
abs_srcdir = /tmp/udisks/src/tests/dbus-tests
abs_top_builddir = /tmp/udisks
abs_top_srcdir = /tmp/udisks
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /tmp/udisks/build-aux/install-sh
libdir = ${exec_prefix}/lib64
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
modloaddir = /usr/lib/modules-load.d
modprobedir = /usr/lib/modprobe.d
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = /var
srcdir = .
sysconfdir = /etc
systemdsystemunitdir = /usr/lib/systemd/system
target_alias = 
tmpfilesdir = /usr/lib/tmpfiles.d
top_build_prefix = ../../../
top_builddir = ../../..
top_srcdir = ../../..
udevdir = /usr/lib/udev
CONFIG_H_PY = config_h.py
BUILT_SOURCES = $(CONFIG_H_PY)

=== debian/changelog ===
udisks2 (2.10.90-1) experimental; urgency=medium

  * New upstream version 2.10.90
  * Drop patches, merged upstream
  * Add (Build-)Depends on libblockdev-smart.
    ATA SMART handling has been ported over to libblockdev.
  * Update symbols file for libudisks2-0
  * Add Build-Depends on gir1.2-gio-2.0-dev as suggested by dh_girepository
  * Add ${gir:Depends} and ${gir:Provides} to libudisks2-dev

 -- Michael Biebl <biebl@debian.org>  Thu, 03 Oct 2024 18:32:23 +0200

udisks2 (2.10.1-11) unstable; urgency=medium

  * Replace dependency on dbus with default-dbus-system-bus | dbus-system-bus.
    This makes it easier to swap in alternative implementations like
    dbus-broker.

 -- Michael Biebl <biebl@debian.org>  Fri, 27 Sep 2024 01:26:14 +0200

udisks2 (2.10.1-10) unstable; urgency=medium

  [ Alessandro Astone ]
  * debian: Add patch to fix tests with exfatprogs 1.2.5

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Aug 2024 12:15:51 +0200

udisks2 (2.10.1-9) unstable; urgency=medium

  * Disable build path variation for reprotest on Salsa CI.
    In src/udisksmodulemanager.c the build path (BUILD_DIR) is embeded
    causing reprotest to fail.
  * Do not overwrite CPPFLAGS and use AM_CPPFLAGS instead.
    This ensures that all hardening build flags are correctly applied.
  * Disable test-crossbuild-arm64 on Salsa CI.
    This requires changes to gobject-introspection for it to actually work.
    See #1030223.

 -- Michael Biebl <biebl@debian.org>  Thu, 04 Jul 2024 17:52:56 +0200

udisks2 (2.10.1-8) unstable; urgency=medium

  * Enable standard salsa CI
  * Do not automatically mount unmaintained file systems.
    Ship a udev rules files named 70-insecure-fs.rules which sets the udev
    property UDISKS_AUTO to 0 for file systems that are marked as "Orphan"
    or "Odd Fixes" in the kernel MAINTAINERS file. Those are more at risk of
    having security-sensitive defects which could be exploited by a crafted
    file system.
    The list includes the following file systems:
    affs, ecryptfs, efs, hfs, hfsplus, jffs2, jfs, qnx6, sysv.
    As we require ID_FS_TYPE to be set, use priority 70 so it is ordered
    after 60-persistent-storage.rules.
    Thanks to Marco d'Itri (Closes: #1041552)
  * Bump Standards-Version to 4.7.0
  * Drop Ubuntu specific workaround for exfatprogs

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Jul 2024 19:00:16 +0200

udisks2 (2.10.1-7) unstable; urgency=medium

  * integration-test: Adapt to the new libmount context error messages
    (Closes: #1070019)

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Apr 2024 17:27:36 +0200

=== debian/control ===
Source: udisks2
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
           Martin Pitt <mpitt@debian.org>,
Build-Depends: debhelper-compat (= 13),
               debhelper (>= 13.11.6),
               dh-sequence-gir,
               docbook-xml,
               docbook-xsl,
               gtk-doc-tools,
               gettext (>= 0.19.8),
               gobject-introspection (>= 1.30),
               gir1.2-gio-2.0-dev,
               libacl1-dev,
               libatasmart-dev (>= 0.17),
               libblockdev-btrfs-dev (>= 3.0),
               libblockdev-crypto-dev (>= 3.0),
               libblockdev-dev (>= 3.0),
               libblockdev-fs-dev (>= 3.0),
               libblockdev-loop-dev (>= 3.0),
               libblockdev-lvm-dev (>= 3.0),
               libblockdev-mdraid-dev (>= 3.0),
               libblockdev-nvme-dev (>= 3.0),
               libblockdev-part-dev (>= 3.0),
               libblockdev-swap-dev (>= 3.0),
               libblockdev-smart-dev,
               libgirepository1.0-dev (>= 1.30),
               libglib2.0-dev (>= 2.68),
               libgudev-1.0-dev (>= 165),
               libmount-dev (>= 2.30),
               libblkid-dev,
               libpolkit-agent-1-dev (>= 0.102),
               libpolkit-gobject-1-dev (>= 0.102),
               libsystemd-dev (>= 209),
               pkgconf,
               polkitd,
               systemd-dev,
               xsltproc,
Build-Depends-Indep: libglib2.0-doc <!nodoc>,
                     policykit-1-doc <!nodoc>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/utopia-team/udisks2.git
Vcs-Browser: https://salsa.debian.org/utopia-team/udisks2
Homepage: https://www.freedesktop.org/wiki/Software/udisks

Package: udisks2
Architecture: linux-any
Multi-Arch: foreign
Depends: libudisks2-0 (= ${binary:Version}),
         libblockdev-crypto3,
         libblockdev-fs3,
         libblockdev-loop3,
         libblockdev-mdraid3,
         libblockdev-nvme3,
         libblockdev-part3,
         libblockdev-swap3,
         libblockdev-smart3,
         default-dbus-system-bus | dbus-system-bus,
         parted,
         udev,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dosfstools,
            e2fsprogs,
            eject,
            ntfs-3g,
            polkitd,
            libpam-systemd,
            exfatprogs,
Suggests: btrfs-progs,
          f2fs-tools,
          mdadm,
          nilfs-tools,
          reiserfsprogs,
          udftools,
          udisks2-btrfs,
          udisks2-lvm2,
          xfsprogs,
Description: D-Bus service to access and manipulate storage devices
 The udisks daemon serves as an interface to system block devices,
 implemented via D-Bus. It handles operations such as querying, mounting,
 unmounting, formatting, or detaching storage devices such as hard disks
 or USB thumb drives.
 .
 This package also provides the udisksctl utility, which can be used to
 trigger these operations from the command line (if permitted by
 PolicyKit).
 .
 Creating or modifying file systems such as XFS, RAID, or LUKS encryption
 requires that the corresponding mkfs.* and admin tools are installed, such as
 dosfstools for VFAT, xfsprogs for XFS, or cryptsetup for LUKS.

Package: udisks2-btrfs
Architecture: linux-any
Multi-Arch: foreign
Depends: libblockdev-btrfs3,
         udisks2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: BTRFS support for udisks2
 The udisks daemon serves as an interface to system block devices,
 implemented via D-Bus. It handles operations such as querying, mounting,
 unmounting, formatting, or detaching storage devices such as hard disks
 or USB thumb drives.
 .
 This package provides support for BTRFS configuration.

Package: udisks2-lvm2
Architecture: linux-any
Multi-Arch: foreign
Depends: libblockdev-lvm3,
         udisks2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: LVM2 support for udisks2
 The udisks daemon serves as an interface to system block devices,
 implemented via D-Bus. It handles operations such as querying, mounting,
 unmounting, formatting, or detaching storage devices such as hard disks
 or USB thumb drives.
 .
 This package provides support for LVM2 configuration.
 .
 This package provides support for zram configuration.

Package: udisks2-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
Suggests: devhelp,
Recommends: libglib2.0-doc,
            policykit-1-doc,
Build-Profiles: <!nodoc>
Description: udisks2 documentation
 The udisks daemon serves as an interface to system block devices,
 implemented via D-Bus. It handles operations such as querying, mounting,
 unmounting, formatting, or detaching storage devices such as hard disks
 or USB thumb drives.
 .
 This package provides the API reference and manuals in devhelp format.

Package: libudisks2-0
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: GObject based library to access udisks2
 The udisks daemon serves as an interface to system block devices,
 implemented via D-Bus. It handles operations such as querying, mounting,
 unmounting, formatting, or detaching storage devices such as hard disks
 or USB thumb drives.
 .
 This provides a convenience library for communicating with udisks2 from
 GObject based programs.

Package: libudisks2-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: gir1.2-udisks-2.0 (= ${binary:Version}),
         libudisks2-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends},
Provides: ${gir:Provides}
Description: GObject based library to access udisks2 - development files
 The udisks daemon serves as an interface to system block devices,
 implemented via D-Bus. It handles operations such as querying, mounting,
 unmounting, formatting, or detaching storage devices such as hard disks
 or USB thumb drives.
 .
 This package contains files that are needed to build applications using
 libudisks.

Package: gir1.2-udisks-2.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Description: GObject based library to access udisks2 - introspection data
 The udisks daemon serves as an interface to system block devices,
 implemented via D-Bus. It handles operations such as querying, mounting,
 unmounting, formatting, or detaching storage devices such as hard disks
 or USB thumb drives.
 .
 This package provides introspection data for libudisks. It can be used
 by packages using the GIRepository format to generate dynamic bindings.

## udisks2 2.10.91

=== src/tests/dbus-tests/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.16.5 from Makefile.am.
+# Makefile.in generated by automake 1.18.1 from Makefile.am.
 # src/tests/dbus-tests/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2021 Free Software Foundation, Inc.
+# Copyright (C) 1994-2025 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -71,6 +71,8 @@
   test $$has_opt = yes
 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
+am__rm_f = rm -f $(am__rm_f_notfound)
+am__rm_rf = rm -rf $(am__rm_f_notfound)
 pkgdatadir = $(datadir)/udisks
 pkgincludedir = $(includedir)/udisks
 pkglibdir = $(libdir)/udisks
@@ -134,7 +136,7 @@
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} '/tmp/udisks/build-aux/missing' aclocal-1.16
+ACLOCAL = ${SHELL} '/tmp/udisks/build-aux/missing' aclocal-1.18
 ACL_CFLAGS = 
 ACL_LIBS = -lacl
 AMTAR = $${TAR-tar}
@@ -142,7 +144,7 @@
 AR = ar
 AUTOCONF = ${SHELL} '/tmp/udisks/build-aux/missing' autoconf
 AUTOHEADER = ${SHELL} '/tmp/udisks/build-aux/missing' autoheader
-AUTOMAKE = ${SHELL} '/tmp/udisks/build-aux/missing' automake-1.16
+AUTOMAKE = ${SHELL} '/tmp/udisks/build-aux/missing' automake-1.18
 AWK = gawk
 BASH = /bin/sh
 BLOCKDEV_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-6 -pthread
@@ -250,10 +252,10 @@
 PACKAGE = udisks
 PACKAGE_BUGREPORT = https://storaged-project.github.io
 PACKAGE_NAME = udisks
-PACKAGE_STRING = udisks 2.10.90
+PACKAGE_STRING = udisks 2.10.91
 PACKAGE_TARNAME = udisks
 PACKAGE_URL = 
-PACKAGE_VERSION = 2.10.90
+PACKAGE_VERSION = 2.10.91
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -271,11 +273,11 @@
 UDEV_CFLAGS = 
 UDEV_LIBS = 
 UDISKS_MAJOR_VERSION = 2
-UDISKS_MICRO_VERSION = 90
+UDISKS_MICRO_VERSION = 91
 UDISKS_MINOR_VERSION = 10
-UDISKS_VERSION = 2.10.90
+UDISKS_VERSION = 2.10.91
 USE_NLS = yes
-VERSION = 2.10.90
+VERSION = 2.10.91
 XGETTEXT = /usr/bin/xgettext
 XGETTEXT_015 = /usr/bin/xgettext
 XGETTEXT_EXTRA_OPTIONS = 
@@ -292,8 +294,10 @@
 am__include = include
 am__leading_dot = .
 am__quote = 
-am__tar = $${TAR-tar} chof - "$$tardir"
-am__untar = $${TAR-tar} xf -
+am__rm_f_notfound = 
+am__tar = tar --format=ustar -chf - "$$tardir"
+am__untar = tar -xf -
+am__xargs_n = xargs -n
 bindir = ${exec_prefix}/bin
 build = x86_64-pc-linux-gnu
 build_alias = 
@@ -337,8 +341,3 @@
 target_alias = 
 tmpfilesdir = /usr/lib/tmpfiles.d
 top_build_prefix = ../../../
-top_builddir = ../../..
-top_srcdir = ../../..
-udevdir = /usr/lib/udev
-CONFIG_H_PY = config_h.py
-BUILT_SOURCES = $(CONFIG_H_PY)

=== debian/changelog ===
udisks2 (2.10.91-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (lp: #2130110). Remaining changes:
  * d/p/nvme-disk-size.patch:
    - use upstream candidate fix for getting the size of nvme drives
  * Dropped CVE-2025-8067.patch included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 31 Oct 2025 11:52:05 +0100

udisks2 (2.10.91-1) unstable; urgency=medium

  * New upstream version 2.10.91
  * Drop patches, merged upstream
  * Use /run/media instead of /media as mountpoint for removable media.
    This has several benefits like
    - Better support for r/o root file systems
    - Better alignment with other distros and upstream defaults
    - Not requiring special cleanup routines as /run is hosted on a tmpfs
    (Closes: #1074568)
  * tests: Do not use "echo -e" in tests.
    Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Sep 2025 12:11:21 +0200

udisks2 (2.10.90-3.1) unstable; urgency=medium

  * Non-maintainer upload by the Security Team.
  * udiskslinuxmanager: Add lower bounds check to fd_index (CVE-2025-8067)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 20 Aug 2025 20:20:35 +0200

udisks2 (2.10.90-3) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Aug 2025 19:36:16 +0200

udisks2 (2.10.90-2) experimental; urgency=medium

  * Merge changes from debian/unstable
  * Rename debian-branch to debian/experimental
  * Drop Build-Depends on libgirepository1.0-dev.
    Bump the Build-Depends on gobject-introspection to (>= 1.80) and also
    drop the hard-coded gir1.2-* dependencies and rely on ${gir:Depends}
    instead.
    See https://lists.debian.org/debian-devel/2025/08/msg00150.html
  * Bump Standards-Version to 4.7.2

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Aug 2025 13:29:11 +0200

udisks2 (2.10.1-12.1ubuntu2) questing; urgency=medium

  * SECURITY UPDATE: DoS and possible information disclosure via OOB read
    - debian/patches/CVE-2025-8067.patch: add lower bounds check to
      fd_index in src/udiskslinuxmanager.c.
    - CVE-2025-8067

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Tue, 26 Aug 2025 09:45:41 -0230

udisks2 (2.10.1-12.1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
  * d/p/nvme-disk-size.patch:
    - use upstream candidate fix for getting the size of nvme drives

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Jun 2025 07:49:17 -0400

udisks2 (2.10.1-12.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * udiskslinuxfilesystemhelpers: Mount private mounts with 'nodev,nosuid'

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 09 Jun 2025 16:29:29 +0200

udisks2 (2.10.1-12ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (lp: #2112082). Remaining changes:
  * d/p/nvme-disk-size.patch:
    - use upstream candidate fix for getting the size of nvme drives

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Jun 2025 13:40:02 +0200

udisks2 (2.10.1-12) unstable; urgency=medium

  * tests: Fix expected error message with util-linux 2.41.
    Patch cherry-picked from upstream Git. (Closes: #1098673)
  * Switch debian-branch to debian/unstable in gbp.conf

 -- Michael Biebl <biebl@debian.org>  Tue, 25 Feb 2025 12:57:07 +0100

udisks2 (2.10.1-11ubuntu2) plucky; urgency=medium

  * debian/control:
    - restore exfatprogs as a Recommends now that the security team
      approved the MIR

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Jan 2025 22:18:10 +0100

udisks2 (2.10.1-11ubuntu1) plucky; urgency=medium

  * Merge with Debian, remaining changes:
    - debian/control: lower the Recommends on exfatprogs to a Suggests

  [ Nathan Pratta Teodosio ]
  * debian/patches/nvme-disk-size.patch: 
    - fix missing size for NVME disk (LP: #2038761).

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 08 Nov 2024 10:58:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: udisks2
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
            Martin Pitt <mpitt@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -11,7 +12,7 @@
                docbook-xsl,
                gtk-doc-tools,
                gettext (>= 0.19.8),
-               gobject-introspection (>= 1.30),
+               gobject-introspection (>= 1.80),
                gir1.2-gio-2.0-dev,
                libacl1-dev,
                libatasmart-dev (>= 0.17),
@@ -26,7 +27,6 @@
                libblockdev-part-dev (>= 3.0),
                libblockdev-swap-dev (>= 3.0),
                libblockdev-smart-dev,
-               libgirepository1.0-dev (>= 1.30),
                libglib2.0-dev (>= 2.68),
                libgudev-1.0-dev (>= 165),
                libmount-dev (>= 2.30),
@@ -40,7 +40,7 @@
                xsltproc,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>,
                      policykit-1-doc <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/utopia-team/udisks2.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/udisks2
@@ -162,8 +162,7 @@
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: gir1.2-udisks-2.0 (= ${binary:Version}),
-         libudisks2-0 (= ${binary:Version}),
+Depends: libudisks2-0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          ${gir:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Ubuntu enables this by default, but it breaks module loading; https://launchpad.net/bugs/2040488
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-btrfs \
		--enable-lvm2 \
		--enable-gtk-doc=$(if $(filter nodoc,$(DEB_BUILD_PROFILES)),no,yes) \
		--with-udevdir=/usr/lib/udev \
		--with-systemdsystemunitdir=/usr/lib/systemd/system

execute_after_dh_auto_install:
	# install Apport hook on Ubuntu
	if dpkg-vendor --is ubuntu; then \
	    install -m 644 -D debian/local/apport-hook.py debian/udisks2/usr/share/apport/package-hooks/udisks2.py; \
	fi

execute_before_dh_install:
	find debian/tmp -name '*.la' -print -delete
	find debian/tmp -name 'libudisks2_*.a' -print -delete

override_dh_installudev:
	dh_installudev -pudisks2 --name=insecure-fs --priority=70

## udisks2 2.11.0

=== src/tests/dbus-tests/Makefile ===
--- 
+++ 
@@ -252,10 +252,10 @@
 PACKAGE = udisks
 PACKAGE_BUGREPORT = https://storaged-project.github.io
 PACKAGE_NAME = udisks
-PACKAGE_STRING = udisks 2.10.91
+PACKAGE_STRING = udisks 2.11.0
 PACKAGE_TARNAME = udisks
 PACKAGE_URL = 
-PACKAGE_VERSION = 2.10.91
+PACKAGE_VERSION = 2.11.0
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -273,11 +273,11 @@
 UDEV_CFLAGS = 
 UDEV_LIBS = 
 UDISKS_MAJOR_VERSION = 2
-UDISKS_MICRO_VERSION = 91
-UDISKS_MINOR_VERSION = 10
-UDISKS_VERSION = 2.10.91
+UDISKS_MICRO_VERSION = 0
+UDISKS_MINOR_VERSION = 11
+UDISKS_VERSION = 2.11.0
 USE_NLS = yes
-VERSION = 2.10.91
+VERSION = 2.11.0
 XGETTEXT = /usr/bin/xgettext
 XGETTEXT_015 = /usr/bin/xgettext
 XGETTEXT_EXTRA_OPTIONS = 
@@ -341,3 +341,4 @@
 target_alias = 
 tmpfilesdir = /usr/lib/tmpfiles.d
 top_build_prefix = ../../../
+top_builddir = ../../..

=== debian/changelog ===
udisks2 (2.11.0-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Remove unnecessary Suggests: devhelp

  [ Michael Biebl ]
  * Remove redundant Priority and Rules-Requires-Root field
  * Bump Standards-Version to 4.7.3
  * Drop reisefsprogs from Suggests and autopkgtest Depends.
    ReiserFS support has been removed in Linux 6.13 and the reiserfsprogs
    package was removed from the archive accordingly.
  * Skip MDRaid test as it depends on targetcli-fb.
    The targetcli-fb package and its dependencies are currently not
    available in testing. See #1124263.

 -- Michael Biebl <biebl@debian.org>  Thu, 12 Feb 2026 17:49:24 +0100

udisks2 (2.11.0-1) unstable; urgency=medium

  * New upstream version 2.11.0
  * Bump minimum required version of libblockdev to >= 3.4
  * Drop patches, merged upstream
  * Update symbols file for libudisks2-0

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Nov 2025 21:43:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: udisks2
 Section: admin
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
            Martin Pitt <mpitt@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -16,16 +14,16 @@
                gir1.2-gio-2.0-dev,
                libacl1-dev,
                libatasmart-dev (>= 0.17),
-               libblockdev-btrfs-dev (>= 3.0),
-               libblockdev-crypto-dev (>= 3.0),
-               libblockdev-dev (>= 3.0),
-               libblockdev-fs-dev (>= 3.0),
-               libblockdev-loop-dev (>= 3.0),
-               libblockdev-lvm-dev (>= 3.0),
-               libblockdev-mdraid-dev (>= 3.0),
-               libblockdev-nvme-dev (>= 3.0),
-               libblockdev-part-dev (>= 3.0),
-               libblockdev-swap-dev (>= 3.0),
+               libblockdev-btrfs-dev (>= 3.4),
+               libblockdev-crypto-dev (>= 3.4),
+               libblockdev-dev (>= 3.4),
+               libblockdev-fs-dev (>= 3.4),
+               libblockdev-loop-dev (>= 3.4),
+               libblockdev-lvm-dev (>= 3.4),
+               libblockdev-mdraid-dev (>= 3.4),
+               libblockdev-nvme-dev (>= 3.4),
+               libblockdev-part-dev (>= 3.4),
+               libblockdev-swap-dev (>= 3.4),
                libblockdev-smart-dev,
                libglib2.0-dev (>= 2.68),
                libgudev-1.0-dev (>= 165),
@@ -40,8 +38,7 @@
                xsltproc,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>,
                      policykit-1-doc <!nodoc>,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/utopia-team/udisks2.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/udisks2
 Homepage: https://www.freedesktop.org/wiki/Software/udisks
@@ -74,7 +71,6 @@
           f2fs-tools,
           mdadm,
           nilfs-tools,
-          reiserfsprogs,
           udftools,
           udisks2-btrfs,
           udisks2-lvm2,
@@ -130,7 +126,6 @@
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
-Suggests: devhelp,
 Recommends: libglib2.0-doc,
             policykit-1-doc,
 Build-Profiles: <!nodoc>

=== debian/tests/control ===
Tests: upstream-system
Depends: cryptsetup-bin,
         dosfstools,
         exfat-fuse,
         exfatprogs,
         gir1.2-glib-2.0,
         kpartx,
         libatasmart-bin,
         lvm2,
         make,
         mdadm,
         ntfs-3g,
         polkitd,
         python3-dbus,
         python3-gi,
#         targetcli-fb,
         xfsprogs,
         @,
Restrictions: needs-root isolation-machine

## udisks2 2.11.1

=== src/tests/dbus-tests/Makefile ===
--- 
+++ 
@@ -151,7 +151,7 @@
 BLOCKDEV_LIBS = -lblockdev -lglib-2.0
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS =  -Wall -W -Wextra -Wcast-align -Wdeclaration-after-statement -Wendif-labels -Werror=format-security -Werror=implicit-function-declaration -Werror=overflow -Wformat-nonliteral -Wformat=2 -Wimplicit -Winit-self -Wmissing-declarations -Wmissing-format-attribute -Wmissing-include-dirs -Wmissing-noreturn -Wmissing-prototypes -Wnested-externs -Wno-inline -Wno-long-long -Wno-missing-field-initializers -Wno-overlength-strings -Wno-switch-enum -Wno-unused-parameter -Wno-unused-result -Wold-style-definition -Wpacked -Wpointer-arith -Wshadow -Wsign-compare -Wstrict-aliasing=2 -Wstrict-prototypes -Wundef -Wuninitialized -Wvla -Wwrite-strings -fdata-sections -fdiagnostics-show-option -ffast-math -ffunction-sections -fno-common -fno-strict-aliasing -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
+CFLAGS = -O2 -Wall -pipe -ggdb -Wall -W -Wextra -Wcast-align -Wdeclaration-after-statement -Wendif-labels -Werror=format-security -Werror=implicit-function-declaration -Werror=overflow -Wformat-nonliteral -Wformat=2 -Wimplicit -Winit-self -Wmissing-declarations -Wmissing-format-attribute -Wmissing-include-dirs -Wmissing-noreturn -Wmissing-prototypes -Wnested-externs -Wno-inline -Wno-long-long -Wno-missing-field-initializers -Wno-overlength-strings -Wno-switch-enum -Wno-unused-parameter -Wno-unused-result -Wold-style-definition -Wpacked -Wpointer-arith -Wshadow -Wsign-compare -Wstrict-aliasing=2 -Wstrict-prototypes -Wundef -Wuninitialized -Wvla -Wwrite-strings -fdata-sections -fdiagnostics-show-option -ffast-math -ffunction-sections -fno-common -fno-strict-aliasing -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
 CPP = gcc -E
 CPPFLAGS = 
 CSCOPE = cscope
@@ -252,10 +252,10 @@
 PACKAGE = udisks
 PACKAGE_BUGREPORT = https://storaged-project.github.io
 PACKAGE_NAME = udisks
-PACKAGE_STRING = udisks 2.11.0
+PACKAGE_STRING = udisks 2.11.1
 PACKAGE_TARNAME = udisks
 PACKAGE_URL = 
-PACKAGE_VERSION = 2.11.0
+PACKAGE_VERSION = 2.11.1
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -273,11 +273,11 @@
 UDEV_CFLAGS = 
 UDEV_LIBS = 
 UDISKS_MAJOR_VERSION = 2
-UDISKS_MICRO_VERSION = 0
+UDISKS_MICRO_VERSION = 1
 UDISKS_MINOR_VERSION = 11
-UDISKS_VERSION = 2.11.0
+UDISKS_VERSION = 2.11.1
 USE_NLS = yes
-VERSION = 2.11.0
+VERSION = 2.11.1
 XGETTEXT = /usr/bin/xgettext
 XGETTEXT_015 = /usr/bin/xgettext
 XGETTEXT_EXTRA_OPTIONS = 
@@ -341,4 +341,3 @@
 target_alias = 
 tmpfilesdir = /usr/lib/tmpfiles.d
 top_build_prefix = ../../../
-top_builddir = ../../..

=== debian/changelog ===
udisks2 (2.11.1-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Fri, 27 Feb 2026 12:45:08 +0200

udisks2 (2.11.1-1) unstable; urgency=medium

  * New upstream version 2.11.1
    - Add missing polkit checks for RestoreEncryptedHeader() and
      HeaderBackup(). (CVE-2026-26103, CVE-2026-26104)

 -- Michael Biebl <biebl@debian.org>  Thu, 26 Feb 2026 16:32:10 +0100

=== debian/control ===
--- 
+++ 
@@ -31,10 +31,8 @@
                libblkid-dev,
                libpolkit-agent-1-dev (>= 0.102),
                libpolkit-gobject-1-dev (>= 0.102),
-               libsystemd-dev (>= 209),
                pkgconf,
                polkitd,
-               systemd-dev,
                xsltproc,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>,
                      policykit-1-doc <!nodoc>,
@@ -55,7 +53,7 @@
          libblockdev-part3,
          libblockdev-swap3,
          libblockdev-smart3,
-         default-dbus-system-bus | dbus-system-bus,
+         dbus | default-dbus-system-bus | dbus-system-bus,
          parted,
          udev,
          ${misc:Depends},
@@ -65,7 +63,6 @@
             eject,
             ntfs-3g,
             polkitd,
-            libpam-systemd,
             exfatprogs,
 Suggests: btrfs-progs,
           f2fs-tools,
